<template src="./create.htm"></template>

<script>

    import Vue from 'vue';
    import CreateInfo from './components/info/CreateInfoComponent.vue';

    import { breadcrumbsMixin } from '../../../mixins/breadcrumbsMixin.js';
    import HandleEntityMixin from '../../../mixins/entities/handleEntityMixin.js';
    import HandleWarehouseMixin from '../../mixins/handleWarehouseMixin.js';
    import ValidationErrorsMixin from '../../../mixins/validationErrorsMixin.js';

    Vue.component('create-info', CreateInfo);

    export default {

        data() {

            return {

            }
        },

        mixins: [
            breadcrumbsMixin,
            HandleEntityMixin,
            HandleWarehouseMixin,
            ValidationErrorsMixin
        ],

        methods: {

            /**
             * Create warehouse from store, and redirect to given action (index, create).
             **/
            createWarehouse(action) {

                this.handleEntity('warehouse', action, route('admin.warehouses.store'));
            }
        }
    }

</script>